%define major 1.4
%define libname %mklibname %{name} %{major}
%define libutil %mklibname %{name}_Util %{major}
%define devname %mklibname %{name} -d

Summary:	Library for reading and writing images
Name:		OpenImageIO
Version:	1.4.9
Release:	4
License:	BSD
Group:		System/Libraries
Url:		https://sites.google.com/site/openimageio/home
Source0:	https://download.github.com/oiio-Release-%{version}.tar.gz
Patch0:		OpenImageIO-1.4.9-giflib51.patch
Patch1:		OpenImageIO-1.4.9-dl.patch
BuildRequires:	cmake
BuildRequires:	txt2man
BuildRequires:	boost-devel
BuildRequires:	jpeg-devel
BuildRequires:	giflib-devel
BuildRequires:	pugixml-devel
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(jasper)
BuildRequires:	pkgconfig(IlmBase)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libraw_r)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(OpenColorIO)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(zlib)

%description
OpenImageIO is a library for reading and writing images, and a bunch of related
classes, utilities, and applications. Main features include:
- Extremely simple but powerful ImageInput and ImageOutput APIs for reading and
  writing 2D images that is format agnostic.
- Format plugins for TIFF, JPEG/JFIF, OpenEXR, PNG, HDR/RGBE, Targa, JPEG-2000,
  DPX, Cineon, FITS, BMP, ICO, RMan Zfile, Softimage PIC, DDS, SGI,
  PNM/PPM/PGM/PBM, Field3d.
- An ImageCache class that transparently manages a cache so that it can access
  truly vast amounts of image data.
- A really nice image viewer, iv, also based on OpenImageIO classes (and so
  will work with any formats for which plugins are available).

%files
%doc CHANGES LICENSE
%{_bindir}/*
%{python_sitearch}/OpenImageIO.so
%{_mandir}/man1/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library for reading and writing images
Group:		System/Libraries

%description -n %{libname}
OpenImageIO is a library for reading and writing images.

%files -n %{libname}
%{_libdir}/libOpenImageIO.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libutil}
Summary:	A library for reading and writing images
Group:		System/Libraries

%description -n %{libutil}
OpenImageIO_Util is a library for reading and writing images.

%files -n %{libutil}
%{_libdir}/libOpenImageIO_Util.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Requires:	%{libutil} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for %{name} library.

%files -n %{devname}
%doc src/doc/*.pdf
%{_libdir}/libOpenImageIO.so
%{_libdir}/libOpenImageIO_Util.so
%{_includedir}/*

#----------------------------------------------------------------------------

%prep
%setup -q -n oiio-Release-%{version}
%patch0 -p1 -b .giflib51~
%patch1 -p1 -b .dl~

%build
%cmake \
	-DSTOP_ON_WARNING:BOOL=OFF \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DPYLIB_INSTALL_DIR:PATH=%{python_sitearch} \
	-DINCLUDE_INSTALL_DIR:PATH=/usr/include/%{name} \
	-DINSTALL_DOCS:BOOL=OFF \
	-DUSE_EXTERNAL_PUGIXML:BOOL=ON

%make

%install
%makeinstall_std -C build

# Move man pages to the right directory
mkdir -p %{buildroot}%{_mandir}/man1
cp -a build/src/doc/*.1 %{buildroot}%{_mandir}/man1


%changelog
* Sat Jul 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.4.9-4
+ Revision: b72696e
- Bump release


